CFLAGS	= -I c:\gcc-arm\include -c -g -O2 -mthumb-interwork -Wall -ffreestanding
ASFLAGS	= -mthumb-interwork
LDFLAGS	= -L c:\gcc-arm\lib -T gbarom2mb

all : 3dsprite.bin

3dsprite.bin : 3dsprite.elf
	objcopy -v -O binary 3dsprite.elf 3dsprite.bin

3dsprite.elf : map.o sprite.o main.o savage.o
	ld $(LDFLAGS) -o 3dsprite.elf main.o map.o sprite.o savage.o -lc -lgcc

main.o : main.c
	gcc $(CFLAGS) main.c

map.o : map.c
	gcc $(CFLAGS) map.c

sprite.o : sprite.c
	gcc $(CFLAGS) sprite.c

savage.o : savage.c
	gcc $(CFLAGS) savage.c

fixmath.o : fixmath.c
	gcc $(CFLAGS) fixmath.c

